Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| xmlgraphics-commons 1.5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlgraphics.image.loader.impl
Class DefaultImageSessionContext

    java.lang.Object
      org.apache.xmlgraphics.image.loader.impl.AbstractImageSessionContext
          org.apache.xmlgraphics.image.loader.impl.DefaultImageSessionContext

All Implemented Interfaces:
  ImageSessionContext

    public class DefaultImageSessionContext

extends AbstractImageSessionContext

Very simple implementation of the ImageSessionContext interface. It works for absolute URLs and local filenames only. Consider writing your own implementation of the ImageSessionContext if you need more sophisticated functionality.

Constructor Summary
`DefaultImageSessionContext(ImageContext context, File baseDir)` Main constructor.

Method Summary
`File` | `getBaseDir()` Returns the base directory for resolving relative filenames.
`ImageContext` | `getParentContext()` Returns the session-independent context object which provides configuration information.
`float` | `getTargetResolution()` Returns the resolution (in dpi) of the target device used when painting images.
`protected Source` | `resolveURI(String uri)` Attempts to resolve the given URI.

Methods inherited from class org.apache.xmlgraphics.image.loader.impl.AbstractImageSessionContext
`createImageInputStream, getSource, isReusable, needSource, newSource, returnSource, toFile`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultImageSessionContext

    public DefaultImageSessionContext(ImageContext context,
                                      File baseDir)

  Main constructor.

  Parameters:
    `context` - the parent image context
    `baseDir` - the base directory for resolving relative filenames

Method Detail

### getParentContext

    public ImageContext getParentContext()

  Returns the session-independent context object which provides configuration information.

  Returns:
    the associated ImageContext instance

### getBaseDir

    public File getBaseDir()

  Returns the base directory for resolving relative filenames.

  Returns:
    the base directory

### resolveURI

    protected Source resolveURI(String uri)

  Attempts to resolve the given URI.

  Specified by:
    `resolveURI` in class `AbstractImageSessionContext`
  Parameters:
    `uri` - URI to access
  Returns:
    A `Source` object, or null if the URI cannot be resolved.

### getTargetResolution

    public float getTargetResolution()

  Returns the resolution (in dpi) of the target device used when painting images.

  Returns:
    the target resolution (in dpi)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| xmlgraphics-commons 1.5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.